Skip to main content
GET
/
api
/
dataproducts
/
v1
List
curl --request GET \
  --url https://developer.synq.io/api/dataproducts/v1 \
  --header 'Authorization: Bearer <token>'
{
  "products": [
    {
      "identifier": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "definition": {
        "parts": [
          {
            "identifier": {
              "airflowDag": {
                "integrationId": "<string>",
                "dagId": "<string>"
              }
            },
            "id": "<string>"
          }
        ]
      },
      "title": "<string>",
      "description": "<string>",
      "folder": "<string>",
      "priority": "PRIORITY_UNSPECIFIED",
      "createdAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "source": "SOURCE_SYNQ"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

includeDeleted
boolean
excludeDefinition
boolean

Response

200 - application/json

Success

products
Dataproduct · object[]